
Redmine - Defect #5703

On SMTP failure, an internal error occurs and all changes to an issue are lost

2010-06-17 08:58 - Andrew Schetinin

Status: Closed Start date: 2010-06-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed Affected version:  

Description

I'm trying to configure SMTP in a fresh Redmine installation, and currently email deliveries fail due to wrong configuration.

But the mere fact of inability to send emails renders the system unusable - no issue can be updated - any modification causes an

internal error.

This is a bug - email delivery should be separated from the ticket update process (protected with a kind of try/catch if we're talking in

Java/C++ terms).

The error page:

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your redMine administrator for assistance.

Back

 The problem with SMTP (from production.log):

Processing IssuesController#edit (for 84.94.77.194 at 2010-06-17 06:56:38) [POST]

  Parameters: {"time_entry"=>{"comments"=>"", "activity_id"=>"", "hours"=>""}, "commit"=>"Submit",

 "action"=>"edit", "authenticity_token"=>"6Hg80reGYr7v47adr

GBjER4O0m8khpI/vOpdVsHekHI=", "id"=>"342", "notes"=>"sadfasdasd", "controller"=>"issues", "issue"=

>{"start_date"=>"2010-06-17", "estimated_hours"=>"", "lock_

version"=>"0", "priority_id"=>"4", "subject"=>"email test", "fixed_version_id"=>"", "category_id"=

>"", "description"=>"email test", "tracker_id"=>"3", "done_

ratio"=>"0", "due_date"=>"", "assigned_to_id"=>"6", "custom_field_values"=>{"5"=>""}}, "attachment

s"=>{"1"=>{"description"=>""}}}

Net::SMTPSyntaxError (501 Syntax: HELO hostname

):

  /usr/lib/ruby/1.8/net/smtp.rb:680:in `check_response'

  /usr/lib/ruby/1.8/net/smtp.rb:653:in `getok'

  /usr/lib/ruby/1.8/net/smtp.rb:623:in `helo'

  /usr/lib/ruby/1.8/net/smtp.rb:401:in `do_start'

  /usr/lib/ruby/1.8/net/smtp.rb:378:in `start'

  app/models/mailer.rb:287:in `deliver!'

  app/models/journal_observer.rb:20:in `after_create'

  /usr/lib/ruby/1.8/observer.rb:185:in `notify_observers'

  /usr/lib/ruby/1.8/observer.rb:184:in `each'

  /usr/lib/ruby/1.8/observer.rb:184:in `notify_observers'

  app/models/journal.rb:43:in `save'

  app/models/issue.rb:459:in `create_journal'

  app/controllers/issues_controller.rb:196:in `edit'

  passenger (2.2.11) lib/phusion_passenger/rack/request_handler.rb:92:in `process_request'

  passenger (2.2.11) lib/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

  passenger (2.2.11) lib/phusion_passenger/railz/application_spawner.rb:418:in `start_request_hand

ler'

  passenger (2.2.11) lib/phusion_passenger/railz/application_spawner.rb:358:in `handle_spawn_appli

cation'

  passenger (2.2.11) lib/phusion_passenger/utils.rb:184:in `safe_fork'
  passenger (2.2.11) lib/phusion_passenger/railz/application_spawner.rb:354:in `handle_spawn_appli

cation'

  passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

  passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

  passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

  passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:163:in `start'

  passenger (2.2.11) lib/phusion_passenger/railz/application_spawner.rb:213:in `start'

  passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

  passenger (2.2.11) lib/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

  passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

  passenger (2.2.11) lib/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

  passenger (2.2.11) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

  passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

Related issues:

Related to Redmine - Feature #26791: Send individual notification mails per m... Closed

Has duplicate Redmine - Defect #13854: Unable to raise new issue Closed

History

#1 - 2010-06-17 09:00 - Andrew Schetinin

Information

Redmine 0.9.4.stable (PostgreSQL)

Default administrator account changed     True

Attachments directory writable     True

Plugin assets directory writable     True

RMagick available (optional)     True

#2 - 2011-03-24 10:59 - Toshi MARUYAMA

- Category set to Email notifications

#3 - 2017-01-12 01:34 - Go MAEDA

- Related to Defect #13854: Unable to raise new issue added

#4 - 2018-03-31 10:07 - Go MAEDA

- Related to Feature #26791: Send individual notification mails per mail recipient added

#5 - 2018-11-30 15:46 - Marius BĂLTEANU

- Status changed from New to Closed

- Target version set to 4.0.0

- Resolution set to Fixed

In Redmine 4.0, the emails are delivered asynchronously by default using ActiveJob. This should fix this issue.

#6 - 2018-11-30 15:47 - Marius BĂLTEANU

- Related to deleted (Defect #13854: Unable to raise new issue)

#7 - 2018-11-30 15:47 - Marius BĂLTEANU

- Has duplicate Defect #13854: Unable to raise new issue added
